searchData={"items":[{"type":"module","doc":"","title":"BamlElixir","ref":"BamlElixir.html"},{"type":"function","doc":"","title":"BamlElixir.baml_version/0","ref":"BamlElixir.html#baml_version/0"},{"type":"module","doc":"A client for interacting with BAML functions.\nData structures and functions are generated from BAML source files.\n\n> #### `use BamlElixir.Client, path: \"priv/baml_src\"` {: .info}\n>\n> When you `use BamlElixir.Client`, it will define:\n> - A module for each function in the BAML source files with `call/2` and `stream/3` functions along with the types.\n> - A module with `defstruct/1` and `@type t/0` for each class in the BAML source file.\n> - A module with `@type t/0` for each enum in the BAML source file.\n>\n> The `path` option is optional and defaults to `\"baml_src\"`, you may want to set it to `\"priv/baml_src\"`.\n\nThis module also provides functionality to call BAML functions either sync/async.","title":"BamlElixir.Client","ref":"BamlElixir.Client.html"},{"type":"function","doc":"Calls a BAML function synchronously.","title":"BamlElixir.Client.call/3","ref":"BamlElixir.Client.html#call/3"},{"type":"function","doc":"- `function_name`: The name of the BAML function to call\n  - `args`: A map of arguments to pass to the function\n  - `opts`: A map of options\n    - `path`: The path to the BAML source file\n    - `collectors`: A list of collectors to use\n    - `llm_client`: The name of the LLM client to use","title":"Parameters - BamlElixir.Client.call/3","ref":"BamlElixir.Client.html#call/3-parameters"},{"type":"function","doc":"- `{:ok, term()}` on success, where the term is the function's return value\n  - `{:error, String.t()}` on failure, with an error message","title":"Returns - BamlElixir.Client.call/3","ref":"BamlElixir.Client.html#call/3-returns"},{"type":"function","doc":"{:ok, result} = BamlElixir.Client.call(client, \"MyFunction\", %{arg1: \"value\"})","title":"Examples - BamlElixir.Client.call/3","ref":"BamlElixir.Client.html#call/3-examples"},{"type":"macro","doc":"","title":"BamlElixir.Client.generate_class_types/1","ref":"BamlElixir.Client.html#generate_class_types/1"},{"type":"macro","doc":"","title":"BamlElixir.Client.generate_enum_types/1","ref":"BamlElixir.Client.html#generate_enum_types/1"},{"type":"macro","doc":"","title":"BamlElixir.Client.generate_function_modules/2","ref":"BamlElixir.Client.html#generate_function_modules/2"},{"type":"function","doc":"Streams a BAML function asynchronously.","title":"BamlElixir.Client.stream/4","ref":"BamlElixir.Client.html#stream/4"},{"type":"function","doc":"- `function_name`: The name of the BAML function to stream\n  - `args`: A map of arguments to pass to the function\n  - `callback`: A function that will be called with the result of the function\n  - `opts`: A map of options\n    - `path`: The path to the BAML source file\n    - `collectors`: A list of collectors to use\n    - `llm_client`: The name of the LLM client to use","title":"Parameters - BamlElixir.Client.stream/4","ref":"BamlElixir.Client.html#stream/4-parameters"},{"type":"module","doc":"","title":"BamlElixir.Collector","ref":"BamlElixir.Collector.html"},{"type":"function","doc":"","title":"BamlElixir.Collector.new/1","ref":"BamlElixir.Collector.html#new/1"},{"type":"function","doc":"","title":"BamlElixir.Collector.usage/1","ref":"BamlElixir.Collector.html#usage/1"},{"type":"module","doc":"","title":"BamlElixir.Native","ref":"BamlElixir.Native.html"},{"type":"function","doc":"","title":"BamlElixir.Native.call/5","ref":"BamlElixir.Native.html#call/5"},{"type":"function","doc":"","title":"BamlElixir.Native.collector_new/1","ref":"BamlElixir.Native.html#collector_new/1"},{"type":"function","doc":"","title":"BamlElixir.Native.collector_usage/1","ref":"BamlElixir.Native.html#collector_usage/1"},{"type":"function","doc":"","title":"BamlElixir.Native.parse_baml/1","ref":"BamlElixir.Native.html#parse_baml/1"},{"type":"function","doc":"","title":"BamlElixir.Native.stream/7","ref":"BamlElixir.Native.html#stream/7"},{"type":"module","doc":"","title":"ClientTest","ref":"ClientTest.html"},{"type":"function","doc":"","title":"ClientTest.test/0","ref":"ClientTest.html#test/0"},{"type":"module","doc":"","title":"ClientTest.Test","ref":"ClientTest.Test.html"},{"type":"function","doc":"","title":"ClientTest.Test.call/2","ref":"ClientTest.Test.html#call/2"},{"type":"function","doc":"","title":"ClientTest.Test.stream/3","ref":"ClientTest.Test.html#stream/3"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}